Skip to content
Open app

me.onboarding.put

PUT /api/v1/me/onboarding. A signed-in person (Clerk session cookie). Agent tokens are refused. Body limit: 4 KB.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/meonboardingput.mdtext/markdown
PUT
/api/v1/me/onboarding
Code sample: Shell / cURL
curl --request PUT \
--url https://app.intraface.cc/api/v1/me/onboarding \
--header 'Content-Type: application/json' \
--cookie __session=<__session> \
--data '{ "role": "engineer", "role_other": "example", "agents": [ "claude_code" ], "artifact_freq": "rarely", "team_mode": "solo", "teammates_agents": "most", "share_methods": [ "slack_email" ], "builds": [ "dashboards" ], "first_board": "example", "skip": "role", "step_ms": 1, "invited": true, "complete": true, "claim_first_board": true, "getting_started": { "hidden": true, "done": [ "connect" ] } }'

A signed-in person (Clerk session cookie). Agent tokens are refused. Body limit: 4 KB.

Media typeapplication/json
object
role
Any of:
string
Allowed values: engineer product designer founder data other
role_other
Any of:
string
>= 1 characters <= 40 characters
agents
Array<string>
<= 7 items
Allowed values: claude_code codex copilot cursor claude_ai other none
artifact_freq
Any of:
string
Allowed values: rarely few_week daily several_day
team_mode
Any of:
string
Allowed values: solo team_2_5 team_6_20 team_21_plus
teammates_agents
Any of:
string
Allowed values: most some just_me
share_methods
Array<string>
<= 6 items
Allowed values: slack_email notion_docs gist deploy screenshots none
builds
Array<string>
<= 6 items
Allowed values: dashboards prototypes reports internal_tools data_viz decks
first_board
Any of:
string
>= 1 characters <= 120 characters
skip
string
Allowed values: role agents artifact_freq team_mode teammates_agents share_methods builds first_board
step_ms
integer
<= 3600000
invited
boolean
complete
boolean
claim_first_board
boolean
getting_started
object
hidden
boolean
done
Array<string>
<= 2 items
Allowed values: connect share

Success.

Media typeapplication/json
object
role
required
Any of:
string
Allowed values: engineer product designer founder data other
role_other
required
Any of:
string
<= 40 characters
agents
required
Array<string>
Allowed values: claude_code codex copilot cursor claude_ai other none
artifact_freq
required
Any of:
string
Allowed values: rarely few_week daily several_day
team_mode
required
Any of:
string
Allowed values: solo team_2_5 team_6_20 team_21_plus
teammates_agents
required
Any of:
string
Allowed values: most some just_me
share_methods
required
Array<string>
Allowed values: slack_email notion_docs gist deploy screenshots none
builds
required
Array<string>
Allowed values: dashboards prototypes reports internal_tools data_viz decks
first_board
required
Any of:
string
<= 120 characters
skipped
required
Array<string>
Allowed values: role agents artifact_freq team_mode teammates_agents share_methods builds first_board
invited
required
boolean
first_board_claimed
required
boolean
completed_at
required
Any of:
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
updated_at
required
Any of:
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
getting_started
required
object
hidden
required
boolean
done
required
Array<string>
Allowed values: connect share

Example

{
"role": "engineer",
"agents": [
"claude_code"
],
"artifact_freq": "rarely",
"team_mode": "solo",
"teammates_agents": "most",
"share_methods": [
"slack_email"
],
"builds": [
"dashboards"
],
"skipped": [
"role"
],
"getting_started": {
"done": [
"connect"
]
}
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}